unit screenshotfrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, dx_vgcore, dx_scene, dx_ani, dx_objects, dx_vglayer, ExtCtrls,
  dx_controls;

type
  TfrmScreenshot = class(TForm)
    dxScene1: TdxScene;
    Root1: TdxVisualObject;
    GUIObjectLayer1: TdxGUIObjectLayer;
    RoundCube1: TdxRoundCube;
    FloatAnimation1: TdxFloatAnimation;
    Light1: TdxLight;
    Root2: TvxLayout;
    HudButton1: TvxHudButton;
    checkBitmap: TvxHudRadioButton;
    checkDxBitmap: TvxHudRadioButton;
    checkPicture: TvxHudRadioButton;
    Panel1: TPanel;
    Image1: TImage;
    GUIImage1: TdxGUIImage;
    GUIText1: TdxGUIText;
    SaveDialog1: TSaveDialog;
    procedure HudButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmScreenshot: TfrmScreenshot;

implementation

{$R *.dfm}

procedure TfrmScreenshot.HudButton1Click(Sender: TObject);
var
  Bmp: TBitmap;
begin
  if checkBitmap.IsChecked then
  begin
    Bmp := TBitmap.Create;
    Bmp.Assign(dxScene1.Canvas);  // <-- This is real screenshot creation - one line
    if SaveDialog1.Execute then
    begin
      Bmp.SaveToFile(SaveDialog1.FileName);
    end;
    Bmp.Free;
  end;
  if checkDxBitmap.IsChecked then
  begin
    GUIImage1.Bitmap.Assign(dxScene1.Canvas);  // <-- This is real screenshot creation - one line
  end;
  if checkPicture.IsChecked then
  begin
    Image1.Picture.Assign(dxScene1.Canvas);  // <-- This is real screenshot creation - one line
  end;
end;

initialization
end.
